CREATE TABLE [C6MartPeriodico].[vTabellone_20240212] (
	[ChiaveClientePB] int NOT NULL,
	[Rete] char(1) NULL,
	[Chiave_ACN] varchar(16) NULL,
	[Tipo_Cliente] varchar(15) NOT NULL,
	[Codice_Fiscale] varchar(16) NULL,
	[Partita_Iva] varchar(16) NULL,
	[Codice_Mandato] varchar(6) NULL,
	[Codice_Contratto] varchar(11) NOT NULL,
	[Nome_Cliente] varchar(50) NOT NULL,
	[Cognome_Cliente] varchar(150) NOT NULL,
	[Data_Nascita_Cliente] datetime NOT NULL,
	[Indirizzo] varchar(512) NULL,
	[Cap] varchar(512) NOT NULL,
	[Citta] varchar(512) NULL,
	[Provincia] varchar(512) NULL,
	[Nazione] varchar(512) NULL,
	[Agente] char(6) NULL,
	[Nome_Agente] varchar(128) NULL,
	[Cognome_Agente] varchar(128) NULL,
	[Report_Monitoraggio] varchar(2) NOT NULL,
	[Report_Diagnosi] varchar(2) NOT NULL,
	[Data_Revoca] datetime NULL,
	[Flag_Private] varchar(2) NOT NULL,
	[Flag_Professionale] varchar(2) NOT NULL,
	[Data_Lettera_Benvenuto] datetime NULL,
	[Campione_SEI] varchar(2) NOT NULL,
	[Campione_DA] varchar(2) NOT NULL,
	[Lettera_Sostitutiva] varchar(2) NOT NULL,
	[Blacklist_Temporanea] varchar(2) NOT NULL,
	[Motivazione_Blacklist] varchar(8000) NOT NULL,
	[Nome_PDF_Monitoraggio] varchar(50) NOT NULL,
	[Nome_PDF_Diagnosi] varchar(53) NOT NULL,
	[Nome_Zip] varchar(331) NOT NULL,
	[Rol] varchar(512) NOT NULL,
	[Preferenza_ESG] varchar(2) NOT NULL,
	[ESG_E] varchar(3) NULL,
	[ESG_S] varchar(3) NULL,
	[ESG_G] varchar(3) NULL,
	[obiettivo_ESG_minimo] decimal(6,3) NULL,
	[ESG_E_perc] decimal(6,3) NULL,
	[ESG_S_perc] decimal(6,3) NULL,
	[ESG_G_perc] decimal(6,3) NULL,
	[Codice_Profilo] smallint NULL,
	[Codice_Profilo_EC] decimal(5,0) NULL,
	[Riserva] char(1) NULL,
	[Investimento_Di_Lungo_Periodo] char(1) NULL,
	[Complessita] char(1) NULL,
	[Concentrazione_di_prodotti_complessi] char(1) NULL,
	[Frequenza_delle_operazioni] char(1) NULL,
	[Concentrazione_Emittenti] char(1) NULL,
	[Persona_Giuridica] decimal(1,0) NULL,
	[Concentrazione_Valutaria] char(1) NULL,
	[Esito_di_Coerenza] char(1) NULL,
	[FLAGNQP] char(1) NULL,
	[Flag_Privo_di_Legali_Rappresentanti_Delegati_Profilati] char(1) NULL,
	[Soglia_ESG] decimal(5,2) NULL,
	[Max_Complessita_Prodotto] decimal(5,0) NULL,
	[NOCOMPL] char(1) NULL,
	[Spesa_Forzata] decimal(13,2) NULL,
	[Percentuale_Investimento_di_lungo_periodo] decimal(5,2) NULL,
	[Importo_Riserva] decimal(13,2) NULL,
	[Immobiliare] varchar(2) NOT NULL,
	[Solo_Immobiliare] varchar(2) NOT NULL
)
GO